/* Importation de la police Montserrat */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&display=swap');

/* Application globale à tout le site (Revue principale + Revues hébergées) */
html, body, p, a, h1, h2, h3, h4, h5, h6, .pkp_structure_main {
    font-family: 'Montserrat', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
}

/* Ajustement spécifique pour les titres pour qu'ils ne soient pas trop gras */
h1, h2, h3 {
    font-weight: 700;
}

body {
    font-weight: 400;
    line-height: 1.6; /* Améliore la lisibilité avec Montserrat */
}

/* Justification optimisée pour Montserrat */
.description, .article_summary .abstract, .page_about, .pkp_structure_main p {
    text-align: justify;
    text-justify: inter-word;
    hyphens: auto;
}

/* Justifier la description de la revue et le contenu principal */
.obj_journal_summary .description, 
.pkp_page_index_journal .description,
.pkp_page_about .description,
.article_summary .abstract,
.pkp_page_index .homepage_about h2 ,
.page_index_journal .homepage_about p,
.page
 {
    text-align: justify;
    hyphens: auto;
}


/* Masquer le logo PKP OJS en pied de page */
.pkp_structure_footer .pkp_brand_footer {
    display: none;
}


.pkp_structured_head {
    border-top: 5px solid #007ab2;
}

/* Forcer l'affichage du contenu de l'équipe éditoriale */
.page_about_editorialteam .pkp_structure_main .description,
.page_about_editorialteam .obj_editorial_team,
.page_about_editorialteam .current_view {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
}

/* Masquer le bouton "Afficher l'historique" s'il devient inutile */
.page_about_editorialteam .action_links {
    display: none !important;
}